%global momorel 2
%global plugindir %{_libdir}/xmms/Input

Name: xmms-mad
Summary: Input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
Version: 0.8
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL:    http://xmms-mad.sourceforge.net/
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/xmms-mad/%{name}-%{version}.tar.bz2 adc7885f4242a3d4d73c972748b4e5ae
Patch0: xmms-mad-0.8-bootstrap.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.2.10-10m
Requires: libmad >= 0.15.0
Requires: libid3tag >= 0.15.0
BuildPrereq: xmms-devel >= 1.2.10-10m
BuildPrereq: libmad >= 0.15.0
BuildPrereq: libid3tag >= 0.15.0
BuildPrereq: gtk+1 >= 1.2
BuildPrereq: pkgconfig

%description
xmms-mad is an input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
 Current featured include:
    * local mp3 file playback
    * shoutchast/icecast stream playback
    * seeking
    * ID3 tag parsing
    * http header parsing

%prep
%setup -q
%patch0 -p1
./bootstrap

%build
%configure
%make libdir=%{plugindir}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%make DESTDIR=%{buildroot} libdir=%{plugindir} install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL
%{plugindir}/libxmmsmad.*

%changelog
* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8-2m)
- change installdir (/usr/X11R6 -> /usr)

* Thu Oct  6 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8-1m)
- version 0.8
- use %%{_lib}

* Sat Jan  1 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.5-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.5.5-1m)
- rebuild against xmms-1.2.8
- requires libmad, libid3tag

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.0.9-5m)
- add source tar ball.

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-4k)
- requires mad-devel >= 0.14.2b

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-2k)
- Initail Build,Kondarize
